<span style="display:none;">{{head-title 'Helpbuttons - Chat con ' otherUser.nickname}}</span>
<div  {{action 'closeButtonFile'}} class="chats__close-container" >
  <!-- <div class="button-file__card-button" > -->
  <div class="chats"{{action 'cardClick'}} >
    <div class="header chats__header">
      <div class="header__nav">
        <button class="header__button" {{action 'backAction'}}>
          {{svg-jar "back" class="icon"}}
        </button>
      </div>
      <div class="header__center">
        <h1 class="header__title my-2">
          {{otherUser.nickname}}
        </h1>
        <h1 class="header__title my-2">
          {{otherUser.userTelegrams}}
        </h1>
      </div>
      <div class="header__nav">
        <button class="header__button" {{action 'openProfile'}}>
          {{svg-jar "button_info" class="icon"}}
        </button>
      </div>
    </div>
    <div id="chatContainer" class="container chats__container">
      <div class="row h-100">
        <div id="chatTags" class="col-12 chats__tags">
          {{#each userNeededTags as |tag|}}
            #{{tag.name}}
          {{/each}}
          {{#each userOfferTags as |tag|}}
            #{{tag.name}}
          {{/each}}
        </div>
        {{#if canShowMessages}}
          <div style={{messagesHeightStyles}} class="w-100">
            {{chat-messages
              scrollBottom=(action 'scrollBottom')
              messages=otherMessages
              otherUser=otherUser
              currentUser=currentUser
            }}
          </div>
          <form class="col-12 chats__new-message" onsubmit="return false;">
            <div class="row h-75">
              <div class="col-auto">
                {{!-- {{svg-jar "atta" class="chats__icon h-100 chats__icon--fill-grey"}} --}}
              </div>
              <div class="col px-0">
                {{input value=newMessage type="string" class="form-control chats__new-message-input" placeholder="Escribe algo..."}}
              </div>
              <div class="col-auto">
                {{#promise-button
                  type="submit"
                  class="btn chats__button"
                  btnAction=(action 'sendMessage' newMessage)
                  hideContentOnLoading=true
                }}
                  {{svg-jar "send" class="chats__icon"}}
                {{/promise-button}}
              </div>
            </div>
          </form>
        {{else}}
          {{loading-overlay showOverlay=true class="col-12 text-center"}}
        {{/if}}
      </div>
    </div>
  </div>
<!-- </div> -->
</div>
